> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/contacts.md).

# Contacts

## List all contacts

> API users can make up to 8 requests per second and 120 requests per minute. When a limit is reached, wait for the number of seconds in the Retry-After header before sending another request.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Contacts":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Contact"},"type":"array"}},"type":"object"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/contacts/":{"get":{"description":"API users can make up to 8 requests per second and 120 requests per minute. When a limit is reached, wait for the number of seconds in the Retry-After header before sending another request.","operationId":"listContacts","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"The primary key of a company to filter on.","in":"query","name":"company__id","required":false,"schema":{"type":"integer"}},{"description":"A comma separated list of company primary keys.","in":"query","name":"company__id__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contacts"}}},"description":"Get successful"},"429":{"description":"Rate limit exceeded","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying.","schema":{"type":"integer"}}}}},"summary":"List all contacts","tags":["Contacts"]}}}}
````

## Create a contact

> Add a contact to a specific company in the requester's address book.\
> \
> The company can be identified either by its \`pk\` or its \`remote\_id\`.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/contacts/":{"post":{"description":"Add a contact to a specific company in the requester's address book.\n\nThe company can be identified either by its `pk` or its `remote_id`.","operationId":"createContacts","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewContact"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}},"description":"Create successful"}},"summary":"Create a contact","tags":["Contacts"]}}}}
````

## GET /contacts/{uid\_or\_remote\_id}/

> Read a contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/contacts/{uid_or_remote_id}/":{"get":{"operationId":"readContact","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}},"description":"Get successful"}},"summary":"Read a contact","tags":["Contacts"]}}}}
````

## DELETE /contacts/{uid\_or\_remote\_id}/

> Delete a contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/contacts/{uid_or_remote_id}/":{"delete":{"operationId":"deleteContact","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body"}},"summary":"Delete a contact","tags":["Contacts"]}}}}
````

## PATCH /contacts/{uid\_or\_remote\_id}/

> Partially update a contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateContact":{"properties":{"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"}},"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/contacts/{uid_or_remote_id}/":{"patch":{"operationId":"partialUpdateContact","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateContact"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}},"description":"Update successful"}},"summary":"Partially update a contact","tags":["Contacts"]}}}}
````

## POST /contacts/{uid}/invite/

> Invite a contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/contacts/{uid}/invite/":{"post":{"operationId":"inviteContacts","parameters":[{"in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}},"description":"Invite successful"}},"summary":"Invite a contact","tags":["Contacts"]}}}}
````
